[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.Level

The number of ancestor nodes for the current tree node.

## Declaration

Source position: comctrls.pp line 3165

`public property TTreeNode.Level : Integer read GetLevel;`

## Description

Level is a read-only Integer property which contains the level in the tree structure for the node. It indicates the number of ancestor nodes in the structure, and implies the indentation for the node in the tree view control.

The root of the tree is level 0. The value for the property is determined by counting the number of Parent nodes for each TTreeNode instance in the tree starting at the current node.